%define upstream_name    Tree-Simple
%define upstream_version 1.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple tree object
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.180.0
BuildRequires: perl(Test::Exception) >= 0.150.0
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module in an fully object-oriented implementation of a simple n-ary tree.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Tree/Simple/*
%{perl_vendorlib}/Tree/Simple.pm
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.340.0-3.mga10
+ Revision: 2206810
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.340.0-2.mga9
+ Revision: 1814024
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.340.0-1.mga9
+ Revision: 1690378
- update to 1.34

* Wed Feb 12 2020 umeabot <umeabot> 1.330.0-3.mga8
+ Revision: 1506861
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.330.0-2.mga7
+ Revision: 1287133
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 tv <tv> 1.330.0-1.mga7
+ Revision: 1190868
- update to 1.33

* Sun Dec 24 2017 tv <tv> 1.320.0-1.mga7
+ Revision: 1184407
- update to 1.32

* Tue Oct 03 2017 tv <tv> 1.310.0-2.mga7
+ Revision: 1167211
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.310.0-1.mga7
+ Revision: 1159725
- update to 1.31

* Sun Jun 19 2016 pterjan <pterjan> 1.260.0-2.mga6
+ Revision: 1035421
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.260.0-1.mga6
+ Revision: 924046
- update to 1.26

* Wed Jul 08 2015 sander85 <sander85> 1.250.0-1.mga6
+ Revision: 852927
- update to 1.25

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-3.mga5
+ Revision: 740392
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-2.mga5
+ Revision: 686743
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 1.230.0-1.mga5
+ Revision: 596372
- update to 1.23

* Fri Oct 18 2013 umeabot <umeabot> 1.180.0-3.mga4
+ Revision: 515773
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 374483
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.180.0-1.mga1
+ Revision: 27207
- mageia rebuild
- imported package perl-Tree-Simple


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.180.0-1mdv2010.0
+ Revision: 408094
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.18-4mdv2009.0
+ Revision: 258706
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.18-3mdv2009.0
+ Revision: 246664
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2008.1
+ Revision: 109577
- update to new version 1.18


* Mon Dec 11 2006 Olivier Thauvin <nanardon@mandriva.org> 1.17-1mdv2007.0
+ Revision: 94586
- 1.17
- Import perl-Tree-Simple

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- 1.16

* Tue May 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- 1.15

* Wed May 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-1mdk
- First Mandriva release

